Subject: Bug in 3.91 when replying to msg with attachment ?

From: [email-masked] (Johan Holmberg)
Date: 30 Jun 1995 09:55:44 GMT

When I reply to a message that has attachments, the text that is
included from "original message" doesn't handle Quoted Printable
characters correctly. It looks like this (in Swedish :-):

----------------------------------------------------------------------
      Mime-Version: 1.0
      Content-Type: TEXT/PLAIN; charset=iso-8859-1
      Content-Transfer-Encoding: QUOTED-PRINTABLE

      H=E4r kommer ett test till: r=E4ksm=F6rg=E5s !

      /johan

      On Fri, 30 Jun 1995, Johan Holmberg wrote:
      >
      > Kan du l=3DE4sa det jag skickar ?
      > Eller =3DE4r det problem =3DE4ven n=3DE4r man
      > skickar =3DE5t detta h=3DE5=ll ?
      >
----------------------------------------------------------------------

As you can see the new text I have written is OK, but the included
text has been QP-ed TWO times:

         1) the swedish characters (from iso-8859-1) have been
            QP-ed, eg: 'ä' ---> '=E4'
         2) the equal-character has been QP-ed: '=E4' ---> '=3DE4'

This problem doesn't oocur if the original message doesnt have
an attachment.

I think the problem is that PINE for some reason dosn't understand
that the included text is in "iso-latin-1". For example if I only send
the included text and don't write any new iso-latin-1 characters, the
message is delivered as:

      Mime-Version: 1.0
      Content-Type: TEXT/PLAIN; charset=US-ASCII

Is this a well-known problem ?
Is there any patch for this ?

/johan holmberg